Withdraw a pending add-on removal
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_resource_id}/withdraw-removal"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_resource_id}/withdraw-removal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_resource_id}/withdraw-removal \
--header 'Authorization: Bearer <token>'{
"removal_withdrawn": true,
"commit_sha": "<string>",
"commit_url": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Imported Clusters
Withdraw a pending add-on removal
Takes back the removal of an add-on that was removed while its cluster was stopped and is still waiting for the cluster to start. The add-on is declared in the cluster’s Git repository again and comes back with the rest of the stack when the cluster starts.
POST
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
addons
/
{addon_resource_id}
/
withdraw-removal
Withdraw a pending add-on removal
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_resource_id}/withdraw-removal"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_resource_id}/withdraw-removal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_resource_id}/withdraw-removal \
--header 'Authorization: Bearer <token>'{
"removal_withdrawn": true,
"commit_sha": "<string>",
"commit_url": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.